org.flexdock.perspective.event

## Class RegistrationEvent

- java.lang.Object
- - java.util.EventObject
  - - org.flexdock.event.Event
    - - org.flexdock.event.RegistrationEvent
      - - org.flexdock.perspective.event.RegistrationEvent

All Implemented Interfaces:
  java.io.Serializable, DockingConstants

    public class RegistrationEvent
    extends RegistrationEvent

Author:
  Christopher Butler
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.flexdock.event.RegistrationEvent

`REGISTERED, UNREGISTERED`

### Fields inherited from class java.util.EventObject

`source`

### Fields inherited from interface org.flexdock.docking.DockingConstants

`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

### Constructor Summary

Constructors
Constructor and Description
`RegistrationEvent(java.lang.Object src, java.lang.Object owner, boolean registered)`

### Method Summary

### Methods inherited from class org.flexdock.event.RegistrationEvent

`getOwner`

### Methods inherited from class org.flexdock.event.Event

`getEventType`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RegistrationEvent

    public RegistrationEvent(java.lang.Object src,
                     java.lang.Object owner,
                     boolean registered)